package com.factory.auth.interfaces.facade;

import com.factory.auth.application.service.AuthService;
import com.factory.domain.model.aggregates.ResponseBean;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * Controller to authenticate users.
 */
@RestController
@RequestMapping("/auth")
public class AuthController {

    @Resource
    private AuthService authService;


    @PostMapping("/refreshToken")
    public ResponseBean<String> refreshToken(String refreshToken) {
        return authService.refreshToken(refreshToken);
    }

}
