package com.factory.user.application.service.remote;

import com.factory.domain.model.aggregates.ResponseBean;
import com.factory.domain.model.vo.BaseSelectVo;
import com.factory.domain.model.vo.UserInfoVo;
import com.factory.domain.model.vo.req.BaseIdNotValidReq;
import com.factory.infrastructure.po.remote.UserInfo;
import com.factory.user.domain.model.vo.res.RoleListRes;
import com.factory.user.domain.model.vo.res.UserMenuRes;

import java.util.List;

public interface CommonService {

    UserInfoVo getLoginUserInfo();

    ResponseBean<List<BaseSelectVo>> getDept();

    ResponseBean<List<BaseSelectVo>> getDeptCode();

    ResponseBean<List<BaseSelectVo>> getStationByDeptId(BaseIdNotValidReq baseIdReq);


    ResponseBean<List<UserMenuRes>> userMenu();

    ResponseBean<List<RoleListRes>> roleList();

    String selectUserName(Long id);

    List<UserInfo> selectUserByRole(List<Long> roleList);
}
