package com.factory.user.application.service.remote;

import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.domain.model.aggregates.PageBean;
import com.factory.domain.model.aggregates.ResponseBean;
import com.factory.infrastructure.po.remote.UserInfo;
import com.factory.user.domain.model.vo.req.UserInsertReq;
import com.factory.user.domain.model.vo.req.UserLockReq;
import com.factory.user.domain.model.vo.req.UserPageQueryReq;
import com.factory.user.domain.model.vo.res.UserRes;

import java.util.List;


public interface UserInfoService extends IService<UserInfo> {

    String getNameById(Long id);

    List<UserInfo> getListByNameOrNo(String word);

    ResponseBean<PageBean<UserRes>> selectUser(UserPageQueryReq userPageQueryReq);

    ResponseBean<String> insertUser(UserInsertReq userInsertReq);

    ResponseBean<String> updateUser(UserInsertReq userInsertReq);

    ResponseBean<String> userLock(UserLockReq userLockReq);


    List<UserInfo> getUserByRole(List<Long> roleList);
}
