package com.factory.user.domain.service.remote;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.infrastructure.po.remote.UserRole;
import com.factory.user.application.service.remote.UserRoleService;
import com.factory.user.domain.mapper.remote.UserRoleMapper;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class UserRoleServiceImpl extends ServiceImpl<UserRoleMapper, UserRole> implements UserRoleService {

    @Override
    public boolean userHasRole(Long userId, Long roleId) {
        return getRoleIdsByUserId(userId).contains(roleId);
    }

    @Override
    public List<UserRole> getRolesByUserId(Long userId) {
        List<UserRole> userRoleList = list(
                Wrappers.<UserRole>lambdaQuery()
                        .eq(UserRole::getUserId, userId));
        return userRoleList;
    }

    @Override
    public List<Long> getRoleIdsByUserId(Long userId) {
        List<UserRole> userRoleList = getRolesByUserId(userId);
        List<Long> roleIds = userRoleList.stream().map(UserRole::getRoleId).collect(Collectors.toList());
        return roleIds;
    }
}
