package com.factory.user.interfaces.assembler;

import com.factory.infrastructure.config.properties.FileSystemProperties;
import com.factory.infrastructure.constant.res.SystemConstant;
import com.factory.infrastructure.po.file.FileInfo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class FileInfoAssembler {

    @Resource
    private FileSystemProperties fileSystemProperties;

    public String getUrlByFileInfo(FileInfo fileInfo) {
        if (fileInfo == null) {
            return SystemConstant.EMPTY_STRING;
        }
        if (StringUtils.isBlank(fileInfo.getUri())) {
            return SystemConstant.EMPTY_STRING;
        }
        return StringUtils.join(
                fileSystemProperties.getDownloadPrefix(),
                fileInfo.getUri()
        );
    }
}
